<?php

namespace Simple\SiteBundle\Controller;

use Symfony\Bundle\FrameworkBundle\Controller\Controller;
use Sensio\Bundle\FrameworkExtraBundle\Configuration\Route;
use Sensio\Bundle\FrameworkExtraBundle\Configuration\Template;

use Symfony\Component\HttpFoundation\Request;
use Symfony\Component\HttpFoundation\Response;
use Symfony\Component\HttpFoundation\Cookie;

class DefaultController extends Controller
{
    private function createMenu()
    {
        return array(
            array('route'=>'default_index', 'desc'=>'Strona główna'),
            array('route'=>'default_cookie', 'desc'=>'Ciacha'),
            array('route'=>'default_session', 'desc'=>'Sesja'),
        );
    }
    
    /**
     * @Route("/", name="default_index")
     * @Template()
     */
    public function indexAction()
    {
        $this->getRequest()->getSession()->set("login", "pawel");
        $this->get('session')->setFlash('notice', "MESSAGE");
        return array('header'=>'Nagłówek', 'footer' => "Stopka", 'nav'=>$this->createMenu());
    }

    /**
     * @Route("/cookie", name="default_cookie")
     * @Template()
     */
    public function cookieAction()
    {
        $ciacho = $this->getRequest()->cookies->getInt("ciacho", 0);
        
        // 1. Ustawienie natywne
        setcookie("ciacho", $ciacho+1);
        return array('header'=>'Nagłówek', 'footer' => "Stopka", 'nav'=>$this->createMenu(), 'ciacho'=>$ciacho);
        
        // 2. Ustawienie w obiekcie response (NIE DZIALA, do sprawdzenia)
//        $response = new Response();
//        $response->headers->setCookie(new Cookie('ciacho', $ciacho+1));
//        $response->setContent($this->render('SimpleSiteBundle:Default:cookie.html.twig', array('header'=>'Nagłówek', 'footer' => "Stopka", 'nav'=>$this->createMenu(), 'ciacho'=>$ciacho)));
//        return $response;
        
    }
    
    /**
     * @Route("/session", name="default_session")
     * @Template()
     */
    public function sessionAction(Request $r)
    {
        return array('header'=>'Nagłówek', 'footer' => "Stopka", 'nav'=>$this->createMenu(), 'login'=>$this->get('session')->get('login'));
    }
    
}
