<?php

namespace Simple\SiteBundle\Controller;

use Symfony\Bundle\FrameworkBundle\Controller\Controller;
use Sensio\Bundle\FrameworkExtraBundle\Configuration\Route;
use Sensio\Bundle\FrameworkExtraBundle\Configuration\Template;
use \Simple\SiteBundle\Entity\Osoba;

use Symfony\Component\Validator\Constraints\Email;
use Symfony\Component\Validator\Constraints\MinLength;
use \Symfony\Component\Validator\Constraints\Collection;

class DefaultController extends Controller {

    /**
     * @Route("/form1", name="form1")
     * @Template()
     */
    public function form1Action(\Symfony\Component\HttpFoundation\Request $request) {
        $osoba = new Osoba();
        //$osoba->setImie("Jan");
        //$osoba->setNazwisko("Kowalski");

        $form = $this->createFormBuilder($osoba)
                ->add('imie', 'text')
                ->add('nazwisko', 'text')
                ->getForm();

        $data = array();
        if ($request->getMethod() == 'POST') {
            $form->bindRequest($request);
            if ($form->isValid()) {
                $data['imie'] = $form->getData()->getImie();
                $data['nazwisko'] = $form->getData()->getNazwisko();
                // perform some action, such as saving the task to the database
            }
        }

        return array('form' => $form->createView(), 'data' => $data);
    }

    /**
     * @Route("/form2", name="form2")
     * @Template()
     */
    public function form2Action(\Symfony\Component\HttpFoundation\Request $request) {
        
        $form = $this->createForm(new \Simple\SiteBundle\Form\Type\OsobaModelType(), new Osoba());

        $data = array();
        if ($request->getMethod() == 'POST') {
            $form->bindRequest($request);
            if ($form->isValid()) {
                $data['imie'] = $form->getData()->getImie();
                $data['nazwisko'] = $form->getData()->getNazwisko();
                // perform some action, such as saving the task to the database
            }
        }

        return array('form' => $form->createView(), 'data' => $data);
    }
    
    /**
     * @Route("/form3", name="form3")
     * @Template()
     */
    public function form3Action(\Symfony\Component\HttpFoundation\Request $request) {
        
        $form = $this->createForm(new \Simple\SiteBundle\Form\Type\OsobaType());

        $data = array();
        if ($request->getMethod() == 'POST') {
            $form->bindRequest($request);
            if ($form->isValid()) {
                $data = $this->get('request')->request->get('Osoba');
                // perform some action, such as saving the task to the database
            }
        }

        return array('form' => $form->createView(), 'data' => $data);
    }
    
    /**
     * @Route("/form4", name="form4")
     * @Template()
     */
    public function form4Action(\Symfony\Component\HttpFoundation\Request $request) {
        $form = $this->createFormBuilder()
                ->add('text', 'text')
                ->add('email', 'email')
                ->add('integer', 'integer')
                ->add('search', 'search')
                ->add('choice', 'choice', array('choices' => array('m' => 'Male', 'f' => 'Female')))
//                ->add('language', 'language')
//                ->add('entity', 'entity')
//                ->add('country', 'country')
                ->add('datetime', 'datetime')
                ->getForm();

        return array('form' => $form->createView());
    }

    /**
     * @Route("/form5", name="form5")
     * @Template()
     */
    public function form5Action(\Symfony\Component\HttpFoundation\Request $request) {
        $constraints = new Collection(array(
            'imie'=>array(),
            'nazwisko'=>array(),
            'email' => array(new MinLength(5),new Email()),
            'age'=>array(),
            'sex'=>array()
            ));
        $form = $this->createFormBuilder(null, array('validation_constraint'=>$constraints))
                ->add('imie', 'text')
                ->add('nazwisko', 'text')
                ->add('email', 'email')
                ->add('age', 'integer')
                ->add('sex', 'choice', array('choices' => array('m' => 'Male', 'f' => 'Female')))
                ->getForm();

        if ($request->getMethod() == 'POST') {
            $form->bindRequest($request);
        }

        return array('form' => $form->createView());
    }    
}
