<?php

namespace Simple\SiteBundle\Form\Type;

use Symfony\Component\Form\AbstractType;
use Symfony\Component\Form\FormBuilder;
use Symfony\Component\Validator\Constraints\NotBlank;
use Symfony\Component\Validator\Constraints\MinLength;
use \Symfony\Component\Validator\Constraints\Collection;
class OsobaType extends AbstractType
{
    public function buildForm(FormBuilder $builder, array $options)
    {
        $builder
            ->add('imie','text', array('label' => 'Imię:'))
            ->add('nazwisko','text', array('label' => 'Nazwisko:'))
        ;
    }

    public function getName()
    {
        return 'Osoba';
    }
    
    public function getDefaultOptions(array $options)
    {
        $collectionConstraint = new Collection(array(
            'imie' => new NotBlank(array('message'=>"Pole nie może być puste")),
            'nazwisko' => array(new NotBlank(), new MinLength(3))
        ));

        return array('validation_constraint' => $collectionConstraint);
    }
}
