<?php

namespace Simple\SiteBundle\Controller;

use Symfony\Bundle\FrameworkBundle\Controller\Controller;
use Sensio\Bundle\FrameworkExtraBundle\Configuration\Route;
use Sensio\Bundle\FrameworkExtraBundle\Configuration\Template;

use Symfony\Component\HttpFoundation\Request;

class DefaultController extends Controller
{
    private function createMenu()
    {
        return array(
            array('route'=>'default_index', 'desc'=>'Strona główna'),
            array('route'=>'default_add', 'desc'=>'Dodawanie'),
            array('route'=>'default_show', 'desc'=>'Przegląd'),
        );
    }
    
    /**
     * @Route("/", name="default_index")
     * @Template()
     */
    public function indexAction()
    {
        return array('header'=>'Nagłówek', 'footer' => "Stopka", 'nav'=>$this->createMenu());
    }

    /**
     * @Route("/add/{p1}/{p2}", name="default_add", defaults = { "p1" = 0, "p2" = 0 })
     * @Template()
     */
    public function addAction($p1, $p2)
    {
        return array('header'=>'Nagłówek', 'footer' => "Stopka", 'nav'=>$this->createMenu(), 'wynik'=>$p1+$p2, 'request'=>$this->getRequest());
    }
    
    /**
     * @Route("/show", name="default_show")
     * @Template()
     */
    public function showAction(Request $r)
    {
        // $r = $this->getRequest();
        // Odkomentować, żeby zobaczyć
        
        // Zmienne serwera
        //var_dump($r->server); die();
        // Nagłówki żądania
        //var_dump($r->headers); die();
        // Atrybuty Symfony
        //var_dump($r->attributes); die();
        // Parametry w zapytaniu do zasobu (GET)
        //var_dump($r->query); die();
        // Parametry treści żądania (POST)
        //var_dump($r->request); die();
        
        $msgs = array(
            '$r->get("a")' => $r->get("a"),
            '$r->get("b")' => $r->get("b"),
        );
        
        return array('header'=>'Nagłówek', 'footer' => "Stopka", 'nav'=>$this->createMenu(), 'msgs'=>$msgs);
    }
    
}
